#pragma once

#include <saas/library/searchserver/replier.h>
#include <saas/library/searchserver/auth.h>

namespace NSearchProxy {
    class TCommonReplierFeatures {
    protected:
        void OnRequestExpired(const int httpCode, const TString& proxyType, IReplyContext::TPtr context);
        void OnQueueFailure(IReplyContext::TPtr context, const int httpCode);
        void OnAccessDenied(const NSaas::TNotAuthorizedInfo& auth, const TString& proxyType, IReplyContext::TPtr context);
    };
}
